--[[

ARL-Jewelcraft.lua

Jewelcrafting data for all of AckisRecipeList

$Date: 2008-05-18 15:56:45 -0400 (Sun, 18 May 2008) $
$Rev: 74325 $

]]--

local L			= LibStub("AceLocale-3.0"):GetLocale("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()
local BZONE		= LibStub("LibBabble-Zone-3.0"):GetLookupTable()
local BBOSS		= LibStub("LibBabble-Boss-3.0"):GetLookupTable()

local addon = AckisRecipeList

function addon:InitJewelcrafting()

	-- Trainer Recipes
	self:addTradeSkillSpell(25255, 1, L["Trainer"])
	self:addTradeSkillSpell(25493, 1, L["Trainer"])
	self:addTradeSkillSpell(26925, 1, L["Trainer"])
	self:addTradeSkillSpell(32259, 1, L["Trainer"])
	self:addTradeSkillSpell(26926, 5, L["Trainer"])
	self:addTradeSkillSpell(32178, 20, L["Trainer"])
	self:addTradeSkillSpell(32179, 20, L["Trainer"])
	self:addTradeSkillSpell(25283, 30, L["Trainer"])
	self:addTradeSkillSpell(26928, 30, L["Trainer"])
	self:addTradeSkillSpell(25278, 50, L["Trainer"])
	self:addTradeSkillSpell(25280, 50, L["Trainer"])
	self:addTradeSkillSpell(25490, 50, L["Trainer"])
	self:addTradeSkillSpell(26927, 50, L["Trainer"])
	self:addTradeSkillSpell(32801, 50, L["Trainer"])
	self:addTradeSkillSpell(25284, 60, L["Trainer"])
	self:addTradeSkillSpell(37818, 65, L["Trainer"])
	self:addTradeSkillSpell(25287, 70, L["Trainer"])
	self:addTradeSkillSpell(36523, 75, L["Trainer"])
	self:addTradeSkillSpell(38175, 80, L["Trainer"])
	self:addTradeSkillSpell(25305, 90, L["Trainer"])
	self:addTradeSkillSpell(25317, 100, L["Trainer"])
	self:addTradeSkillSpell(25318, 100, L["Trainer"])
	self:addTradeSkillSpell(36524, 105, L["Trainer"])
	self:addTradeSkillSpell(25498, 110, L["Trainer"])
	self:addTradeSkillSpell(32807, 110, L["Trainer"])
	self:addTradeSkillSpell(25321, 120, L["Trainer"])
	self:addTradeSkillSpell(25613, 135, L["Trainer"])
	self:addTradeSkillSpell(25615, 150, L["Trainer"])
	self:addTradeSkillSpell(25620, 170, L["Trainer"])
	self:addTradeSkillSpell(32808, 175, L["Trainer"])
	self:addTradeSkillSpell(25621, 180, L["Trainer"])
	self:addTradeSkillSpell(34955, 180, L["Trainer"])
	self:addTradeSkillSpell(26872, 200, L["Trainer"])
	self:addTradeSkillSpell(34959, 200, L["Trainer"])
	self:addTradeSkillSpell(26874, 210, L["Trainer"])
	self:addTradeSkillSpell(26876, 220, L["Trainer"])
	self:addTradeSkillSpell(26880, 225, L["Trainer"])
	self:addTradeSkillSpell(32809, 225, L["Trainer"])
	self:addTradeSkillSpell(36525, 230, L["Trainer"])
	self:addTradeSkillSpell(26883, 235, L["Trainer"])
	self:addTradeSkillSpell(26885, 240, L["Trainer"])
	self:addTradeSkillSpell(26902, 260, L["Trainer"])
	self:addTradeSkillSpell(36526, 275, L["Trainer"])
	self:addTradeSkillSpell(26903, 275, L["Trainer"])
	self:addTradeSkillSpell(26907, 280, L["Trainer"])
	self:addTradeSkillSpell(26908, 280, L["Trainer"])
	self:addTradeSkillSpell(34960, 280, L["Trainer"])
	self:addTradeSkillSpell(26911, 290, L["Trainer"])
	self:addTradeSkillSpell(34961, 290, L["Trainer"])
	self:addTradeSkillSpell(26916, 310, L["Trainer"])
	self:addTradeSkillSpell(31048, 310, L["Trainer"])
	self:addTradeSkillSpell(31049, 310, L["Trainer"])
	self:addTradeSkillSpell(31050, 320, L["Trainer"])
	self:addTradeSkillSpell(38068, 325, L["Trainer"])
	self:addTradeSkillSpell(31052, 335, L["Trainer"])
	self:addTradeSkillSpell(31051, 335, L["Trainer"])
	self:addTradeSkillSpell(41414, 325, L["Trainer"])
	self:addTradeSkillSpell(41418, 365, L["Trainer"])
	self:addTradeSkillSpell(40514, 340, L["Trainer"])
	self:addTradeSkillSpell(41420, 325, L["Trainer"])
	self:addTradeSkillSpell(41429, 350, L["Trainer"])
	self:addTradeSkillSpell(41415, 330, L["Trainer"])
	self:addTradeSkillSpell(47280, 350, L["Trainer"])

	-- Vendor Recipes
	self:addTradeSkillSpell(25339, 110, addon:CombineVendors(190, 191, 192, 193, false))
	self:addTradeSkillSpell(25610, 120, addon:CombineVendors(112, 194, false))
	self:addTradeSkillSpell(25323, 125, addon:CombineVendors(195, 12, false))
	self:addTradeSkillSpell(25612, 125, addon:CombineVendors(110, 29, false))
	self:addTradeSkillSpell(25320, 150, addon:CombineVendors(190, 201, 212, 192, false))
	self:addTradeSkillSpell(25617, 150, addon:CombineVendors(24, 29, false))
	self:addTradeSkillSpell(25619, 170, addon:CombineVendors(190, 202, 203, 192, false))
	self:addTradeSkillSpell(26875, 215, addon:CombineVendors(197, 116, false))
	self:addTradeSkillSpell(26878, 225, addon:CombineVendors(111, 113, false))
	self:addTradeSkillSpell(26881, 225, addon:CombineVendors(116, 205, false))
	self:addTradeSkillSpell(26897, 250, addon:CombineVendors(190, 202, 192, 206, false))
	self:addTradeSkillSpell(26906, 275, addon:CombineVendors(57, false))
	self:addTradeSkillSpell(26910, 285, addon:CombineVendors(207, false))
	self:addTradeSkillSpell(28903, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28910, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28916, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28925, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28938, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28950, 300, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(26915, 305, addon:CombineVendors(53, false))
	self:addTradeSkillSpell(28905, 305, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28917, 305, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28953, 305, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(34590, 305, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28914, 315, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28936, 325, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(28948, 325, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(34069, 325, addon:CombineVendors(208, 209, false))
	self:addTradeSkillSpell(31101, 350, addon:CombineVendors(162, 163, true), {L["PVP"]})
	self:addTradeSkillSpell(43493, 350, addon:CombineVendors(162, 163, true), {L["PVP"]})
	
	-- World Drops
	self:addTradeSkillSpell(25622, 190, L["UWD"])
	self:addTradeSkillSpell(25618, 160, L["UWD"])
	self:addTradeSkillSpell(26873, 200, L["UWD"])
	self:addTradeSkillSpell(26882, 235, L["UWD"])
	self:addTradeSkillSpell(26887, 245, L["UWD"])
	self:addTradeSkillSpell(26896, 250, L["UWD"])
	self:addTradeSkillSpell(26900, 260, L["UWD"])
	self:addTradeSkillSpell(26909, 285, L["UWD"])
	self:addTradeSkillSpell(28955, 315, L["UWD"])
	self:addTradeSkillSpell(31058, 345, L["UWD"])
	self:addTradeSkillSpell(31089, 350, L["RWD"] .. addon.br .. addon:CombineMobs(false,BBOSS["Kael'thas Sunstrider"],BZONE["Magisters' Terrace"]))
	self:addTradeSkillSpell(31096, 350, L["RWD"])
	self:addTradeSkillSpell(31112, 350, L["RWD"])
	self:addTradeSkillSpell(31085, 350, L["RWD"])
	self:addTradeSkillSpell(31110, 350, L["RWD"])
	self:addTradeSkillSpell(31106, 350, L["RWD"])
	self:addTradeSkillSpell(31091, 350, L["RWD"])
	self:addTradeSkillSpell(31099, 350, L["RWD"])
	self:addTradeSkillSpell(31109, 350, L["RWD"])
	self:addTradeSkillSpell(31104, 350, L["RWD"])
	self:addTradeSkillSpell(31113, 350, L["RWD"])
	self:addTradeSkillSpell(31108, 350, L["RWD"])
	self:addTradeSkillSpell(31094, 350, L["RWD"])
	self:addTradeSkillSpell(31107, 350, L["RWD"])
	self:addTradeSkillSpell(31111, 350, L["RWD"])
	self:addTradeSkillSpell(31098, 350, L["RWD"] .. addon.br .. addon:CombineMobs(false,BBOSS["Kael'thas Sunstrider"],BZONE["Magisters' Terrace"]))
	self:addTradeSkillSpell(31105, 350, L["RWD"])
	self:addTradeSkillSpell(31088, 350, L["RWD"] .. addon.br .. addon:CombineMobs(false,BBOSS["Kael'thas Sunstrider"],BZONE["Magisters' Terrace"]))
	self:addTradeSkillSpell(31103, 350, L["RWD"])
	self:addTradeSkillSpell(31097, 350, L["RWD"])
	self:addTradeSkillSpell(31102, 350, L["RWD"])
	self:addTradeSkillSpell(31092, 350, L["RWD"])
	self:addTradeSkillSpell(31149, 350, L["RWD"])
	self:addTradeSkillSpell(31095, 350, L["RWD"])
	self:addTradeSkillSpell(31090, 350, L["RWD"])
	self:addTradeSkillSpell(31087, 350, L["RWD"])
	self:addTradeSkillSpell(31100, 350, L["RWD"])
	self:addTradeSkillSpell(31084, 350, L["RWD"])
	self:addTradeSkillSpell(31060, 355, L["RWD"])
	self:addTradeSkillSpell(31067, 355, L["RWD"])
	self:addTradeSkillSpell(31068, 355, L["RWD"])
	self:addTradeSkillSpell(31070, 360, L["RWD"])
	self:addTradeSkillSpell(31071, 360, L["RWD"])
	self:addTradeSkillSpell(31061, 365, L["RWD"])
	self:addTradeSkillSpell(31072, 365, L["RWD"])
	self:addTradeSkillSpell(31076, 365, L["RWD"])
	self:addTradeSkillSpell(32869, 365, L["RWD"])
	self:addTradeSkillSpell(32868, 365, L["RWD"])
	self:addTradeSkillSpell(32871, 365, L["RWD"])
	self:addTradeSkillSpell(32872, 365, L["RWD"])
	self:addTradeSkillSpell(39463, 350, L["RWD"])
	self:addTradeSkillSpell(39452, 350, L["RWD"])
	self:addTradeSkillSpell(39462, 350, L["RWD"])
	self:addTradeSkillSpell(39963, 365, L["RWD"])
	self:addTradeSkillSpell(39470, 350, L["RWD"])
	self:addTradeSkillSpell(39471, 350, L["RWD"])

	-- Specific Drops
	self:addTradeSkillSpell(26912, 300, L["Figurine - Black Diamond Crab Obt"])
	self:addTradeSkillSpell(31053, 350, L["Khorium Band of Shadows Obt"])
	self:addTradeSkillSpell(31054, 355, L["Khorium Band of Frost Obt"])
	self:addTradeSkillSpell(31055, 355, L["Khorium Inferno Band Obt"])
	self:addTradeSkillSpell(31056, 360, L["Khorium Band of Leaves Obt"])
	self:addTradeSkillSpell(31057, 365, L["Arcane Khorium Band Obt"])
	self:addTradeSkillSpell(39451, 325, L["Blades Edge Summon Bosses"])
	self:addTradeSkillSpell(39458, 325, L["Blades Edge Summon Bosses"])
	self:addTradeSkillSpell(39467, 325, L["Blades Edge Summon Bosses"])
	self:addTradeSkillSpell(39466, 325, L["Blades Edge Summon Bosses"])
	self:addTradeSkillSpell(39455, 325, L["Blades Edge Summon Bosses"])
	self:addTradeSkillSpell(26914, 300, L["Dark Iron Scorpid Obt"])
	self:addTradeSkillSpell(31077, 370, L["Coronet of the Verdant Flame Obt"])
	self:addTradeSkillSpell(31078, 370, L["Circlet of Arcane Might Obt"])
	self:addTradeSkillSpell(44794, 365, L["Chaotic Skyfire Diamond Obt"])

	-- Reputations
	self:addTradeSkillSpell(42588, 360, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})	
	self:addTradeSkillSpell(42592, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	self:addTradeSkillSpell(31082, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	self:addTradeSkillSpell(37855, 360, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	self:addTradeSkillSpell(32870, 365, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})

	self:addTradeSkillSpell(32874, 365, addon:AddSingleReputation(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	self:addTradeSkillSpell(31062, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	self:addTradeSkillSpell(31081, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	self:addTradeSkillSpell(42591, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	self:addTradeSkillSpell(42593, 360, addon:AddSingleReputation(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	self:addTradeSkillSpell(42590, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	self:addTradeSkillSpell(31079, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	self:addTradeSkillSpell(31063, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	self:addTradeSkillSpell(28915, 325, addon:AddSingleReputation(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})

	self:addTradeSkillSpell(31064, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	self:addTradeSkillSpell(28906, 315, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	self:addTradeSkillSpell(28924, 325, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	
	self:addTradeSkillSpell(31065, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	self:addTradeSkillSpell(28927, 305, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Aldor"]), {BFAC["The Aldor"]})
	self:addTradeSkillSpell(28944, 305, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Aldor"]), {BFAC["The Aldor"]})

	self:addTradeSkillSpell(28918, 315, addon:AddDoubleReputation(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	self:addTradeSkillSpell(31080, 370, addon:AddDoubleReputation(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
		
	self:addTradeSkillSpell(38503, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	
	self:addTradeSkillSpell(31083, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	self:addTradeSkillSpell(38504, 375, addon:AddSingleReputation(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})

	self:addTradeSkillSpell(28947, 315, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(28907, 325, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(28933, 325, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(28957, 325, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(31066, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(32867, 365, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(32866, 365, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(32873, 365, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(42589, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(42558, 360, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(28912, 305, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	self:addTradeSkillSpell(39961, 365, addon:AddSingleReputation(BFAC["Exalted"], BFAC["The Consortium"]), {BFAC["The Consortium"]})

	self:addTradeSkillSpell(39741, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39729, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39706, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39705, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39711, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39712, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39719, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39739, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39721, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39722, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39736, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39731, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39730, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39742, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39735, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39717, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39734, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39740, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39732, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39720, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39715, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39716, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39713, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39710, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39723, 375, addon:AddSingleReputation(BFAC["Friendly"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Friendly"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39738, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46775, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46776, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46777, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46778, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46779, 375, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39714, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39718, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39724, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39725, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39727, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39728, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39733, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(39737, 375, L["HYJALBoP"] .. addon.br .. addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(47053, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(47054, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(47055, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(47056, 375, addon:AddSingleReputation(BFAC["Honored"], BFAC["The Scale of the Sands"]) .. addon.br .. addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["The Scale of the Sands"], BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46597, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46601, 370, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(46803, 350, addon:AddSingleReputation(BFAC["Revered"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	self:addTradeSkillSpell(48789, 375, addon:AddSingleReputation(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	self:addTradeSkillSpell(46127, 365, L["SunwellBoE"])
	self:addTradeSkillSpell(46125, 365, L["SunwellBoE"])
	self:addTradeSkillSpell(46126, 365, L["SunwellBoE"])
	self:addTradeSkillSpell(46124, 365, L["SunwellBoP"])
	self:addTradeSkillSpell(46122, 365, L["SunwellBoP"])
	self:addTradeSkillSpell(46123, 365, L["SunwellBoP"])

	self:addTradeSkillSpell(46403, 365, L["Unknown"])
	self:addTradeSkillSpell(46404, 365, L["Unknown"])
	self:addTradeSkillSpell(46405, 365, L["Unknown"])

end
